package sharin.doc.builder.xhtml1;

public class HrElem extends GenericCommonElem<HrElem> {

    public HrElem(Object... nodes) {
        super("hr", nodes);
    }

    public HrElem align(Object value) {
        return attr("align", value);
    }

    public HrElem alignCenter() {
        return align("center");
    }

    public HrElem alignLeft() {
        return align("left");
    }

    public HrElem alignRight() {
        return align("right");
    }

    public HrElem noshade(boolean noshade) {
        return noshade ? noshade("noshade") : this;
    }

    public HrElem noshade(Object value) {
        return attr("noshade", value);
    }

    public HrElem size(Object value) {
        return attr("size", value);
    }

    public HrElem width(Object value) {
        return attr("width", value);
    }
}
